VERSION 5.00
Object = "{A560A2EF-BAAA-4464-8A50-33CE594E6D81}#1.0#0"; "ImageWeb.ocx"
Begin VB.Form frmPantalla 
   Caption         =   "MakeyFotos"
   ClientHeight    =   4230
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   5220
   Icon            =   "frmPantalla.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   ScaleHeight     =   4230
   ScaleWidth      =   5220
   StartUpPosition =   2  'CenterScreen
   WindowState     =   2  'Maximized
   Begin VB.CommandButton Command1 
      Height          =   495
      Left            =   3360
      TabIndex        =   1
      Top             =   1440
      Width           =   495
   End
   Begin ImageWebControl.ImageWeb imgFoto 
      Height          =   1335
      Left            =   1440
      TabIndex        =   0
      Top             =   960
      Visible         =   0   'False
      Width           =   1335
      _ExtentX        =   2355
      _ExtentY        =   2355
      BackColor       =   14215660
      Caption         =   "IMAGEN_NO_ENCONTRADA"
   End
   Begin VB.Timer tmrImagenRespuestaIncorrecta 
      Enabled         =   0   'False
      Interval        =   2000
      Left            =   600
      Top             =   1320
   End
End
Attribute VB_Name = "frmPantalla"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Function CoincideTecla(CdigoAscii As Integer, strTecla As String) As Boolean
'Devuelve verdadero si coincide CdigoAscii con el cdigo ascii de strTecla (tomando el espacio en blanco si strTecla es "*")
Dim blnAux As Boolean
If (strTecla = "*") Then strTecla = " "
If (CdigoAscii = Asc(strTecla)) Then blnAux = True
CoincideTecla = blnAux
End Function


Sub MostrarImagen(strArchivo As String)
'Muestra el archivo strArchivo en imgFoto
'''Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intAnchoImagen As Integer, intAnchoFormulario As Integer, intAltoFormulario As Integer
Dim sngRelacin As Single
imgFoto.Visible = False
imgFoto.Stretch = True
imgFoto.LoadFrom = strArchivo
imgFoto.Tag = "Imagen visible"

intAnchoFormulario = Me.Width
intAltoFormulario = Me.Height
intAnchoImagen = imgFoto.Width
sngRelacin = imgFoto.Width / imgFoto.Height

If (blnUsarTamaosOriginales = False) Then
  imgFoto.Stretch = False
  If (imgFoto.Width > imgFoto.Height) Then
    'La foto es ms ancha que alta
    imgFoto.Width = intAnchoFormulario * 0.8
    imgFoto.Height = imgFoto.Width / sngRelacin
  Else
    'La foto es ms alta que ancha
    imgFoto.Height = intAltoFormulario * 0.8
    imgFoto.Width = imgFoto.Height * sngRelacin
  End If
End If

imgFoto.Left = (intAnchoFormulario - imgFoto.Width) / 2
imgFoto.Top = ((intAltoFormulario - 500) - imgFoto.Height) / 2
imgFoto.Visible = True
End Sub


Sub Reproducir(strArchivo As String)
Sonido "close", ""
Sonido "play", strArchivo
End Sub


Private Sub Form_Activate()
'El botn Command1 es necesario porque sino a veces al apretar una tecla "suena" pero no la
'toma en el keyPress (creo que porque el foco queda en el img). Lo muevo a una posicin no visible
Command1.Top = 50000
Command1.Left = 50000
End Sub


Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intFormularios As Integer
Dim intAux As Integer

If (KeyCode = 37) Then
  'Flecha a la izquierda
  ''#SinTerminar  No siempre toma las flechas del cursos ac en el KeyDown...
End If

If (KeyCode = 27) Then
  If (imgFoto.Tag <> "") Then
    'La primera vez que se presiona ESC limpia la pantalla
    imgFoto.Visible = False
    imgFoto.Tag = ""
    strPreguntaHecha = ""
  Else
    'Si se presiona ESC con la pantalla limpia, cierra la pantalla
    Unload Me
  End If
End If
End Sub


Private Sub Form_KeyPress(KeyAscii As Integer)
Dim intAux As Integer
Dim blnAux As Boolean

For intAux = 1 To intCantidadDeTeclas
  If (strTecla(intAux) <> "") Then
    If CoincideTecla(KeyAscii, strTecla(intAux)) Then
      'La tecla presionada est en la lista de teclas
      
      If (blnMFPregunta = True) And (strPreguntaHecha <> "") Then
        'Est en modo "MFPregunta" y ya se haba tocado una tecla (pregunta), as que la tecla detectada ahora es la respuesta
        If CoincideTecla(KeyAscii, strPreguntaHecha) Then
          'La respuesta es correcta (tecla detectada ahora igual a la presionada la ltima vez)
        
          If (blnUsarRutasRelativas = True) Then
            'Para rutas relativas
            'Si hay una imagen de respuesta correcta cargada para esa tecla, la muestro
            If ((strImagenRespuestaCorrecta(intAux) <> "(Imagen)") And (strImagenRespuestaCorrecta(intAux) <> "")) Then
              blnAux = ExisteArchivo(Ruta(strConfiguracion) & "\" & strImagenRespuestaCorrecta(intAux))
              If (blnAux = True) Then
                MostrarImagen (Ruta(strConfiguracion) & "\" & strImagenRespuestaCorrecta(intAux))
                strPreguntaHecha = ""
              Else
                MsgBox id_frmPantalla_MsgBoxNoExisteMens & Ruta(strConfiguracion) & "\" & strImagenRespuestaCorrecta(intAux), vbOKOnly + vbCritical, id_frmPantalla_MsgBoxNoExisteTit
              End If
            End If
            'Si hay un sonido de respuesta correcta cargado para esa tecla, lo reproduzco
            If ((strSonidoRespuestaCorrecta(intAux) <> "(Sonido)") And (strSonidoRespuestaCorrecta(intAux) <> "")) Then
              blnAux = ExisteArchivo(Ruta(strConfiguracion) & "\" & strSonidoRespuestaCorrecta(intAux))
              If (blnAux = True) Then
                Reproducir (Ruta(strConfiguracion) & "\" & strSonidoRespuestaCorrecta(intAux))
                strPreguntaHecha = ""
              Else
                MsgBox id_frmPantalla_MsgBoxNoExisteMens & Ruta(strConfiguracion) & "\" & strSonidoRespuestaCorrecta(intAux), vbOKOnly + vbCritical, id_frmPantalla_MsgBoxNoExisteTit
              End If
            End If
          Else
            'Para rutas absolutas
            'Si hay una imagen de respuesta correcta cargada para esa tecla, la muestro
            If ((strImagenRespuestaCorrecta(intAux) <> "(Imagen)") And (strImagenRespuestaCorrecta(intAux) <> "")) Then
              blnAux = ExisteArchivo(strImagenRespuestaCorrecta(intAux))
              If (blnAux = True) Then
                MostrarImagen (strImagenRespuestaCorrecta(intAux))
                strPreguntaHecha = ""
              Else
                MsgBox id_frmPantalla_MsgBoxNoExisteMens & strImagenRespuestaCorrecta(intAux), vbOKOnly + vbCritical, id_frmPantalla_MsgBoxNoExisteTit
              End If
            End If
            'Si hay un sonido de respuesta correcta cargado para esa tecla, lo reproduzco
            If ((strSonidoRespuestaCorrecta(intAux) <> "(Sonido)") And (strSonidoRespuestaCorrecta(intAux) <> "")) Then
              blnAux = ExisteArchivo(strSonidoRespuestaCorrecta(intAux))
              If (blnAux = True) Then
                Reproducir (strSonidoRespuestaCorrecta(intAux))
                strPreguntaHecha = ""
              Else
                MsgBox id_frmPantalla_MsgBoxNoExisteMens & strSonidoRespuestaCorrecta(intAux), vbOKOnly + vbCritical, id_frmPantalla_MsgBoxNoExisteTit
              End If
            End If
          End If
        
        Else
          'La respuesta es incorrecta (tecla detectada ahora distinta a la presionada la ltima vez)

          If (blnUsarRutasRelativas = True) Then
            'Para rutas relativas
            'Si hay una imagen de respuesta incorrecta cargada para esa tecla, la muestro
            If ((strImagenRespuestaIncorrecta(intTeclaTocada) <> "(Imagen)") And (strImagenRespuestaIncorrecta(intTeclaTocada) <> "")) Then
              blnAux = ExisteArchivo(Ruta(strConfiguracion) & "\" & strImagenRespuestaIncorrecta(intTeclaTocada))
              If (blnAux = True) Then
                MostrarImagen (Ruta(strConfiguracion) & "\" & strImagenRespuestaIncorrecta(intTeclaTocada))
                tmrImagenRespuestaIncorrecta.Enabled = True
              Else
                MsgBox id_frmPantalla_MsgBoxNoExisteMens & Ruta(strConfiguracion) & "\" & strImagenRespuestaIncorrecta(intTeclaTocada), vbOKOnly + vbCritical, id_frmPantalla_MsgBoxNoExisteTit
              End If
            End If
            'Si hay un sonido de respuesta incorrecta cargado para esa tecla, lo reproduzco
            If ((strSonidoRespuestaIncorrecta(intAux) <> "(Sonido)") And (strSonidoRespuestaIncorrecta(intAux) <> "")) Then
              blnAux = ExisteArchivo(Ruta(strConfiguracion) & "\" & strSonidoRespuestaIncorrecta(intTeclaTocada))
              If (blnAux = True) Then
                Reproducir (Ruta(strConfiguracion) & "\" & strSonidoRespuestaIncorrecta(intTeclaTocada))
              Else
                MsgBox id_frmPantalla_MsgBoxNoExisteMens & Ruta(strConfiguracion) & "\" & strSonidoRespuestaIncorrecta(intTeclaTocada), vbOKOnly + vbCritical, id_frmPantalla_MsgBoxNoExisteTit
              End If
            End If
          Else
            'Para rutas absolutas
            'Si hay una imagen de respuesta correcta cargada para esa tecla, la muestro
            If ((strImagenRespuestaIncorrecta(intTeclaTocada) <> "(Imagen)") And (strImagenRespuestaIncorrecta(intTeclaTocada) <> "")) Then
              blnAux = ExisteArchivo(strImagenRespuestaIncorrecta(intTeclaTocada))
              If (blnAux = True) Then
                MostrarImagen (strImagenRespuestaIncorrecta(intTeclaTocada))
                tmrImagenRespuestaIncorrecta.Enabled = True
              Else
                MsgBox id_frmPantalla_MsgBoxNoExisteMens & strImagenRespuestaIncorrecta(intTeclaTocada), vbOKOnly + vbCritical, id_frmPantalla_MsgBoxNoExisteTit
              End If
            End If
            'Si hay un sonido de respuesta correcta cargado para esa tecla, lo reproduzco
            If ((strSonidoRespuestaIncorrecta(intAux) <> "(Sonido)") And (strSonidoRespuestaIncorrecta(intAux) <> "")) Then
              blnAux = ExisteArchivo(strSonidoRespuestaIncorrecta(intTeclaTocada))
              If (blnAux = True) Then
                Reproducir (strSonidoRespuestaIncorrecta(intTeclaTocada))
              Else
                MsgBox id_frmPantalla_MsgBoxNoExisteMens & strSonidoRespuestaIncorrecta(intTeclaTocada), vbOKOnly + vbCritical, id_frmPantalla_MsgBoxNoExisteTit
              End If
            End If
          End If
        
        End If

      Else
      
        'O no est en modo "MFPregunta" o, si lo est, es la primera vez que se toca la tecla (para la pregunta)
        intTeclaTocada = intAux 'Guardo el ndice de la tecla tocada para que, si est en modo pregunta, en la
                                'prxima que toque sepa este ndice para mostrar la imagen de error de la tecla de ahora, no la prxima.
        If (blnUsarRutasRelativas = True) Then
          'Para rutas relativas
          'Si hay una imagen cargada para esa tecla, la muestro
          If ((strImagen(intAux) <> "(Imagen)") And (strImagen(intAux) <> "")) Then
            blnAux = ExisteArchivo(Ruta(strConfiguracion) & "\" & strImagen(intAux))
            If (blnAux = True) Then
              MostrarImagen (Ruta(strConfiguracion) & "\" & strImagen(intAux))
              strPreguntaHecha = strTecla(intAux)
              tmrImagenRespuestaIncorrecta.Tag = Ruta(strConfiguracion) & "\" & strImagen(intAux)
            Else
              MsgBox id_frmPantalla_MsgBoxNoExisteMens & Ruta(strConfiguracion) & "\" & strImagen(intAux), vbOKOnly + vbCritical, id_frmPantalla_MsgBoxNoExisteTit
            End If
          End If
          'Si hay un sonido cargado para esa tecla, lo reproduzco
          If ((strSonido(intAux) <> "(Sonido)") And (strSonido(intAux) <> "")) Then
            blnAux = ExisteArchivo(Ruta(strConfiguracion) & "\" & strSonido(intAux))
            If (blnAux = True) Then
              Reproducir (Ruta(strConfiguracion) & "\" & strSonido(intAux))
              strPreguntaHecha = strTecla(intAux)
            Else
              MsgBox id_frmPantalla_MsgBoxNoExisteMens & Ruta(strConfiguracion) & "\" & strSonido(intAux), vbOKOnly + vbCritical, id_frmPantalla_MsgBoxNoExisteTit
            End If
          End If
        Else
          'Para rutas absolutas
          'Si hay una imagen cargada para esa tecla, la muestro
          If ((strImagen(intAux) <> "(Imagen)") And (strImagen(intAux) <> "")) Then
            blnAux = ExisteArchivo(strImagen(intAux))
            If (blnAux = True) Then
              MostrarImagen (strImagen(intAux))
              strPreguntaHecha = strTecla(intAux)
              tmrImagenRespuestaIncorrecta.Tag = strImagen(intAux)
            Else
              MsgBox id_frmPantalla_MsgBoxNoExisteMens & strImagen(intAux), vbOKOnly + vbCritical, id_frmPantalla_MsgBoxNoExisteTit
            End If
          End If
          'Si hay un sonido cargado para esa tecla, lo reproduzco
          If ((strSonido(intAux) <> "(Sonido)") And (strSonido(intAux) <> "")) Then
            blnAux = ExisteArchivo(strSonido(intAux))
            If (blnAux = True) Then
              Reproducir (strSonido(intAux))
              strPreguntaHecha = strTecla(intAux)
            Else
              MsgBox id_frmPantalla_MsgBoxNoExisteMens & strSonido(intAux), vbOKOnly + vbCritical, id_frmPantalla_MsgBoxNoExisteTit
            End If
          End If
        End If

      End If
    End If
  End If
Next intAux
End Sub


Private Sub Form_Load()
On Error GoTo ErrorAlCargarPantalla
Dim intAux As Integer

strPreguntaHecha = ""
imgFoto.Visible = False

Exit Sub
ErrorAlCargarPantalla:
  Rem Resume Next '(Control para rutina de error: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
  On Error GoTo 0: Resume
End Sub


Private Sub Form_Paint()
'Si esta lnea se coloca en el proc. Load da un error debido al control imageWeb
frmPantalla.BackColor = lngColorDelFondo
End Sub


Private Sub Form_Unload(Cancel As Integer)
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Sonido "close", ""
frmPrincipal.Show
End Sub


Private Sub tmrImagenRespuestaIncorrecta_Timer()
MostrarImagen (tmrImagenRespuestaIncorrecta.Tag)
tmrImagenRespuestaIncorrecta.Enabled = False
End Sub
