Attribute VB_Name = "modFunciones"
Option Explicit

Public Function NombreDeArchivo(strNombreCompleto As String) As String
'Quita el path que antecede al nombre del archivo en strNombreCompleto
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intUltimaBarra As Integer
intUltimaBarra = 0
Do
  intUltimaBarra = InStr(intUltimaBarra + 1, strNombreCompleto, "\")
Loop While (InStr(intUltimaBarra + 1, strNombreCompleto, "\") <> 0)
NombreDeArchivo = Mid(strNombreCompleto, intUltimaBarra + 1, Len(strNombreCompleto) - intUltimaBarra + 1)
End Function


Public Function QuitarExtension(strNombreCompleto As String) As String
'Quita las ltimas letras, luego del ltimo punto, de strNombreCompleto
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
If (InStr(1, strNombreCompleto, ".") <> 0) Then
  QuitarExtension = Mid(strNombreCompleto, 1, InStr(1, strNombreCompleto, ".") - 1)
Else
  QuitarExtension = strNombreCompleto
End If
End Function


Public Function Extension(strArchivo As String) As String
'Devuelve las ltimas letras, luego del ltimo punto, de strArchivo
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim intUltimoPunto As Integer
intUltimoPunto = 0
Do
  intUltimoPunto = InStr(intUltimoPunto + 1, strArchivo, ".")
Loop While (InStr(intUltimoPunto + 1, strArchivo, ".") <> 0)
If (intUltimoPunto <> 0) Then
  Extension = Mid(strArchivo, intUltimoPunto + 1, Len(strArchivo) - intUltimoPunto + 1)
Else
  Extension = ""
End If
End Function


Public Function Ruta(strNombreCompleto As String) As String
'Devuelve el path (hasta la ltima "\") de strNombreCompleto
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
Dim strAux As String
If (strNombreCompleto = "") Then
  strAux = ""
Else
  strAux = Mid(strNombreCompleto, 1, Len(strNombreCompleto) - Len(NombreDeArchivo(strNombreCompleto)) - 1)
End If
Ruta = strAux
End Function


Public Function ExisteArchivo(strArchivo As String) As Boolean
'Devuelve un valor booleano en funcin de la existencia o no de strArchivo
On Error GoTo ErrorEnExisteArchivo
Dim intNumArch As Integer
intNumArch = FreeFile
Open strArchivo For Input As intNumArch
Close intNumArch
ExisteArchivo = True

Exit Function

ErrorEnExisteArchivo:
  Select Case Err.Number
    Case 53
      'No existe el archivo
      ExisteArchivo = False
    Case Else
      ExisteArchivo = False
  End Select
End Function

