Attribute VB_Name = "modSonido"
Option Explicit

' Mdulo para el procedimiento Sonido, al que se le deben pasar dos
' parmetros, el primero con cualquiera de las siguientes cadenas:
' "play", o "reproducir"
' "stop", o "detener"
' "pause", "pausar", o "pausa"
' "close", o "cerrar"
' y el segundo con el path y nombre completo de un archivo de audio
' (.wav, .mp3 o .mid)
' Por ejemplo: Sonido("play", "c:\cancin.mp3")


'Funcin Api GetShortPathName para obtener los paths de los archivos en formato corto
Public Declare Function GetShortPathName Lib "kernel32" Alias "GetShortPathNameA" (ByVal lpszLongPath As String, ByVal lpszShortPath As String, ByVal lBuffer As Long) As Long

'Funcin Api mciExecute para reproducir los archivos de audio
Public Declare Function mciExecute Lib "winmm.dll" (ByVal lpstrCommand As String) As Long


Function PathCorto(strArchivo As String) As String
'Obtiene el path corto del archivo strArchivo
Dim ret As Long
Dim strTemp As String * 250 'Buffer

ret = GetShortPathName(strArchivo, strTemp, 164) 'Obtiene el Path corto
PathCorto = Replace(strTemp, Chr(0), "") 'Saca los nulos al path
End Function


Public Sub Sonido(strAccin As String, strArchivo As String)
'Realiza la operacin indicada en "strAccin" con el archivo de audio "strArchivo"
Rem On Error Resume Next '(Control para comienzo de proc.: quitar el "Rem" antes de compilar; colocar "Rem" al principio de la lnea para depurar)
strAccin = Trim(LCase(strAccin))
If ((strAccin = "close") Or (strAccin = "cerrar")) Then
  mciExecute "Close All"
Else
  If (strArchivo <> "") Then
    strArchivo = PathCorto(strArchivo)
    Select Case strAccin
      Case "play", "reproducir"
        mciExecute "Play " & strArchivo
      Case "stop", "detener"
        mciExecute "Stop " & strArchivo
      Case "pause", "pausar", "pausa"
        mciExecute "Pause " & strArchivo
    End Select
  End If
End If
End Sub
